Module java.desktop
Package javax.swing.plaf.basic

## Class BasicComboBoxUI.KeyHandler

- java.lang.Object
- - java.awt.event.KeyAdapter
  - - javax.swing.plaf.basic.BasicComboBoxUI.KeyHandler

All Implemented Interfaces:
  KeyListener, EventListener

Enclosing class:
  BasicComboBoxUI

    public class BasicComboBoxUI.KeyHandler
    extends KeyAdapter

This listener checks to see if the key event isn't a navigation key. If it finds a key event that wasn't a navigation key it dispatches it to JComboBox.selectWithKeyChar() so that it can do type-ahead. This public inner class should be treated as protected. Instantiate it only within subclasses of `BasicComboBoxUI`.

### Constructor Summary

Constructors
Constructor and Description
`KeyHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `keyPressed(KeyEvent e)` Invoked when a key has been pressed.

### Methods inherited from class java.awt.event.KeyAdapter

`keyReleased, keyTyped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyHandler

    public KeyHandler()

### Method Detail

#### keyPressed

    public void keyPressed(KeyEvent e)

Description copied from class: `KeyAdapter`
Invoked when a key has been pressed.

Specified by:
  `keyPressed` in interface `KeyListener`
Overrides:
  `keyPressed` in class `KeyAdapter`
Parameters:
  `e` - the event to be processed